Disbursements

A disbursement represents a transfer of funds from Felloh-managed accounts to one of your beneficiaries. The disbursement details include the total amount disbursed, the currency, and the receiving account information.


Disbursement Model

Properties

  • Name
    id
    Type
    uuid
    Description

    Unique identifier for the disbursement object.

  • Name
    amount
    Type
    integer
    Description

    The total sum disbursed.

  • Name
    currency
    Type
    string
    Description

    The currency of the disbursement. See the currency documentation.

  • Name
    bank_reference
    Type
    string
    Description

    A unique reference sent with the payment.

  • Name
    created_at
    Type
    datetime
    Description

    The datetime when the disbursement was created within our systems.

  • Name
    receiving_account
    Type
    object
    Description

    A bank model detailing the destination account of the beneficiary.

  • Name
    transactions
    Type
    array
    Description

    An array containing compact versions of the transaction models linked to the disbursement.

{
  "id": "919c9dba-0102-11ed-b939-0242ac120002",
  "amount": 1060200,
  "currency": "GBX",
  "bank_reference": "X9876-080720221401",
  "created_at": "2022-07-08T14:08:04.130Z",
  "receiving_account": {
    "iban": "GB89BARC20040444858415",
    "account_number": "12345678",
    "sort_code": "102030",
    "name": "FELLOH",
    "created_at": "2022-01-16T06:52:42.423Z",
  },
  "transactions": [
    {
      "id": "99ede88e-0102-11ed-b939-0242ac120002",
      "amount": 72500,
      "currency": "GBX",
      "created_at": "2022-07-07T09:25:07.982Z",
      "completed_at": "2022-07-07T09:25:07.982Z"
    },
    {
      "id": "9f284f24-0102-11ed-b939-0242ac120002",
      "amount": 987700,
      "currency": "GBX",
      "created_at": "2022-07-07T16:34:25.482Z",
      "completed_at": "2022-07-07T16:34:25.482Z"
    }
  ]
}

POST/ledger/disbursements

Fetch All

This endpoint retrieves all disbursements for an organisation. Disbursements are sorted by creation date, with the most recent first.

Parameters

  • Name
    organisationrequired
    Type
    string
    Description

    The organisation ID for which you want to fetch disbursements. Use the List all organisations method to get access to your organisations.

  • Name
    skip
    Type
    integer
    Description

    Pagination offset. See the pagination section for details.

  • Name
    take
    Type
    integer
    Description

    Number of records to return. See the pagination section for details.

  • Name
    show-child-organisations
    Type
    boolean
    Description

    Whether to include disbursements for child organisations.

  • Name
    type
    Type
    string
    Description

    Can be 'csv' or 'json'. Defaults to 'json'.

  • Name
    date_from
    Type
    date
    Description

    The start date for fetching disbursements, in ISO 8601 format.

  • Name
    date_to
    Type
    date
    Description

    The end date for fetching disbursements, in ISO 8601 format.

  • Name
    keyword
    Type
    string
    Description

    A bank reference to filter disbursements by.

Returns

Returns an array of disbursement models

Request

POST
/ledger/disbursements
import axios from 'axios';

const response = await axios.post(
  'https://api.felloh.com/ledger/disbursements',
  {
    organisation: 'X9876',
    skip: 10,
    take: 20
  },
  {
    headers: { 'Content-Type': 'application/json', 'Authorization': `Bearer <YOUR TOKEN HERE>` }
  }
);

Response (set using type parameter)

{
  "data": [
        {
          "id": "919c9dba-0102-11ed-b939-0242ac120002",
          "amount": 1060200,
          "currency": "GBX",
          "bank_reference": "X9876-080720221401",
          "created_at": "2022-07-08T14:08:04.130Z",
          "receiving_account": {
            "iban": "GB89BARC20040444858415",
            "account_number": "12345678",
            "sort_code": "102030",
            "name": "FELLOH",
            "created_at": "2022-01-16T06:52:42.423Z",
          },
          "transactions": [
            {
              "id": "99ede88e-0102-11ed-b939-0242ac120002",
              "amount": 72500,
              "currency": "GBX",
              "created_at": "2022-07-07T09:25:07.982Z",
              "completed_at": "2022-07-07T09:25:07.982Z"
            },
            {
              "id": "9f284f24-0102-11ed-b939-0242ac120002",
              "amount": 987700,
              "currency": "GBX",
              "created_at": "2022-07-07T16:34:25.482Z",
              "completed_at": "2022-07-07T16:34:25.482Z"
            }
          ]
        }
    ],
  "errors": {},
  "meta": {
    "code": 200,
    "reason": "OK",
    "message": "The request was successful",
    "request_id": "cdd40f5c-9d82-44c2-92e3-b5d2cad364f6",
    "count": 1
  }
}

GET/ledger/disbursements/:disbursement_id

Fetch One

This endpoint allows you to retrieve a single disbursement by its ID.

Path Parameters

  • Name
    disbursement_id
    Type
    uuid
    Description

    The disbursement ID you wish to retrieve.

Returns

Returns a disbursement model

Request

GET
/ledger/disbursements/:disbursement_id
import axios from 'axios';

const disbursementID = '919c9dba-0102-11ed-b939-0242ac120002';

const response = await axios.get(
  `https://api.felloh.com/ledger/disbursements/${disbursementID}`,
  {
    headers: { 'Content-Type': 'application/json', 'Authorization': `Bearer <YOUR TOKEN HERE>` }
  }
);

Response

{
  "data": {
    "id": "919c9dba-0102-11ed-b939-0242ac120002",
    "amount": 1060200,
    "currency": "GBX",
    "bank_reference": "X9876-080720221401",
    "created_at": "2022-07-08T14:08:04.130Z",
    "receiving_account": {
      "iban": "GB89BARC20040444858415",
      "account_number": "12345678",
      "sort_code": "102030",
      "name": "FELLOH",
      "created_at": "2022-01-16T06:52:42.423Z",
    },
    "transactions": [
      {
        "id": "99ede88e-0102-11ed-b939-0242ac120002",
        "amount": 72500,
        "currency": "GBX",
        "created_at": "2022-07-07T09:25:07.982Z",
        "completed_at": "2022-07-07T09:25:07.982Z"
      },
      {
        "id": "9f284f24-0102-11ed-b939-0242ac120002",
        "amount": 987700,
        "currency": "GBX",
        "created_at": "2022-07-07T16:34:25.482Z",
        "completed_at": "2022-07-07T16:34:25.482Z"
      }
    ]
  },
  "errors": {},
  "meta": {
    "code": 200,
    "reason": "OK",
    "message": "The request was successful",
    "request_id": "cdd40f5c-9d82-44c2-92e3-b5d2cad364f6"
  }
}